package cn.com.poc.human_resources.entity;


public class BizHumanResourceResumeEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *主键id
    */
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }

    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** position
    *职位ID
    */
    private java.lang.Long position;

    public java.lang.Long getPosition(){
        return this.position;
    }

    public void setPosition(java.lang.Long position){
        this.position = position;
    }

    /**
     * name
     * 姓名
     */
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 简历文件地址
     */
    private String fileUrl;

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    /**
     * 当前职位
     */
    private String currentPosition;

    public String getCurrentPosition() {
        return currentPosition;
    }

    public void setCurrentPosition(String currentPosition) {
        this.currentPosition = currentPosition;
    }

    /** core_skills
    *核心技能
    */
    private java.lang.String coreSkills;

    public java.lang.String getCoreSkills(){
        return this.coreSkills;
    }

    public void setCoreSkills(java.lang.String coreSkills){
        this.coreSkills = coreSkills;
    }

    /**
     * education_level
     * 学历
     */
    private Integer educationLevel;

    public Integer getEducationLevel() {
        return educationLevel;
    }

    public void setEducationLevel(Integer educationLevel) {
        this.educationLevel = educationLevel;
    }


    /** education_background
    *教育背景
    */
    private java.lang.String educationBackground;

    public java.lang.String getEducationBackground(){
        return this.educationBackground;
    }

    public void setEducationBackground(java.lang.String educationBackground){
        this.educationBackground = educationBackground;
    }
	/** education_experience
    *教育经历
    */
    private java.lang.String educationExperience;

    public java.lang.String getEducationExperience(){
        return this.educationExperience;
    }

    public void setEducationExperience(java.lang.String educationExperience){
        this.educationExperience = educationExperience;
    }
	/** gender_and_age
    *性别-年龄
    */
    private java.lang.String genderAndAge;

    public java.lang.String getGenderAndAge(){
        return this.genderAndAge;
    }

    public void setGenderAndAge(java.lang.String genderAndAge){
        this.genderAndAge = genderAndAge;
    }
	/** occupational_history
    *工作经历
    */
    private java.lang.String occupationalHistory;

    public java.lang.String getOccupationalHistory(){
        return this.occupationalHistory;
    }

    public void setOccupationalHistory(java.lang.String occupationalHistory){
        this.occupationalHistory = occupationalHistory;
    }
	/** other
    *技能证书、项目经验等补充内容
    */
    private java.lang.String other;

    public java.lang.String getOther(){
        return this.other;
    }

    public void setOther(java.lang.String other){
        this.other = other;
    }
	/** work_experience
    *工作经验
    */
    private java.lang.String workExperience;

    public java.lang.String getWorkExperience(){
        return this.workExperience;
    }

    public void setWorkExperience(java.lang.String workExperience){
        this.workExperience = workExperience;
    }
	/** work_location
    *工作地址
    */
    private java.lang.String workLocation;

    public java.lang.String getWorkLocation(){
        return this.workLocation;
    }

    public void setWorkLocation(java.lang.String workLocation){
        this.workLocation = workLocation;
    }
	/** label
    *标签
    */
    private java.lang.String label;

    public java.lang.String getLabel(){
        return this.label;
    }

    public void setLabel(java.lang.String label){
        this.label = label;
    }
	/** evaluate
    *AI综合评价
    */
    private java.lang.String evaluate;

    public java.lang.String getEvaluate(){
        return this.evaluate;
    }

    public void setEvaluate(java.lang.String evaluate){
        this.evaluate = evaluate;
    }
	/** matched_degree
    *匹配分
    */
    private java.lang.Long matchedDegree;

    public java.lang.Long getMatchedDegree(){
        return this.matchedDegree;
    }

    public void setMatchedDegree(java.lang.Long matchedDegree){
        this.matchedDegree = matchedDegree;
    }
	/** member_id
    *上传人ID
    */
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }

    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** is_deleted
    *是否删除 1、Y 是 2、N 否
    */
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }

    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}